Skip to main content
`Ctrl`+`K`

# SVDPRIMMESetMethod

Sets the method for the PRIMME SVD solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDPRIMMESetMethod(SVD svd,SVDPRIMMEMethod method)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- method - method that will be used by PRIMME

## Options Database Key

- -svd_primme_method method - sets the method for the PRIMME SVD solver

## Notes

If not set, the method defaults to `SVD_PRIMME_HYBRID`.

See the documentation of PRIMME [Stathopoulos and McCombs, 2010] for a description of the methods.

## References

[Sta10]

A. Stathopoulos and J. R. McCombs. PRIMME: PReconditioned Iterative MultiMethod Eigensolver: methods and software description. ACM Trans. Math. Software, 37(2):21:1–21:30, 2010. doi:10.1145/1731022.1731031.

## See Also

SVD: Singular Value Decomposition, `SVDPRIMME`, `SVDPRIMMEGetMethod()`, `SVDPRIMMEMethod`

## Level

advanced

## Location

src/svd/impls/external/primme/svdprimme.c

## Implementations

SVDPRIMMESetMethod_PRIMME() in src/svd/impls/external/primme/svdprimme.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages